{ config, pkgs, ... }:
{
  nix = {
    settings = {
      experimental-features = "nix-command flakes";
      auto-optimise-store = true;
    };
    gc = {
      automatic = true;
      dates = "weekly";
      options = "--delete-older-than 1w";
    };
  };

  nixpkgs.config.allowUnfree = true;

  time.timeZone = "America/Toronto";

  programs = {
    zsh.enable = true;
    nano.enable = false;
  };

  documentation = {
    nixos.enable = false;
    info.enable = false;
  };

  console = {
    font = "${pkgs.terminus_font}/share/consolefonts/ter-u22n.psf.gz";
    packages = with pkgs; [ terminus_font ];
  };

  hardware.enableRedistributableFirmware = true;

  system.stateVersion = "24.05";
}
